#!/bin/sh

ORIG="/var/lib/gcf-out-scream"

[ -d "${ORIG}" ] || exit 0
echo " * Splitting gcf-out-scream state files"
cd "${ORIG}"

for i in *
do
	[ ! -r "${i}" ] && break
	# prepare the new state directory
	DEST="/var/lib/gcf-out-scream.${i}"
	mkdir "${DEST}"
	mv "${i}" "${DEST}/idmap"
	touch "${DEST}/term_map"

	# update the configuration file to reflect the new layout
	CFG="/etc/gcf-out-scream/${i}.local"
	gcs_rwvar gcs_set_varcf2 "idmap" "${CFG}" "" ""
	gcs_rwvar gcs_set_varcf2 "state_directory" "${CFG}" "${DEST}" ""
done

cd /
rmdir "${ORIG}"
